class Tagging < ActiveRecord::Base
  belongs_to :tag
  belongs_to :taggable, :polymorphic => true

  after_destroy do
    if Tag.destroy_unused && !tag.taggings.exists?
      tag.destroy
    end
  end
end
